

We get:

arch/ppc/Kconfig:231:warning: type of 'CPU_FREQ_TABLE' redefined from 'tristate' to 'boolean'

and

arch/ppc/platforms/built-in.o(.pmac.text+0x5fec): In function `pmac_cpufreq_setup':
arch/ppc/platforms/pmac_cpufreq.c:315: undefined reference to `cpufreq_frequency_table_verify'

So select CPU_FREQ_TABLE.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-ppc-akpm/arch/ppc/Kconfig |    6 +-----
 1 files changed, 1 insertion(+), 5 deletions(-)

diff -puN arch/ppc/Kconfig~ppc-cpufreq-kconfig-fix arch/ppc/Kconfig
--- 25-ppc/arch/ppc/Kconfig~ppc-cpufreq-kconfig-fix	2005-02-22 23:07:30.000000000 -0800
+++ 25-ppc-akpm/arch/ppc/Kconfig	2005-02-22 23:07:30.000000000 -0800
@@ -223,16 +223,12 @@ source "drivers/cpufreq/Kconfig"
 config CPU_FREQ_PMAC
 	bool "Support for Apple PowerBooks"
 	depends on CPU_FREQ && ADB_PMU
+	select CPU_FREQ_TABLE
 	help
 	  This adds support for frequency switching on Apple PowerBooks,
 	  this currently includes some models of iBook & Titanium
 	  PowerBook.
 
-config CPU_FREQ_TABLE
-	bool
-	depends on CPU_FREQ_PMAC
-	default y
-
 config PPC601_SYNC_FIX
 	bool "Workarounds for PPC601 bugs"
 	depends on 6xx && (PPC_PREP || PPC_PMAC)
_
